Skip to main content
POST
Ledger events of all users

Authorizations

Authorization
string
header
required

Your Hypedexer API key, sent as Authorization: Bearer <key>. The X-API-Key: <key> header and the api_key query parameter are accepted as well.

Body

application/json
type
enum<string>
required
Available options:
allLedgerUpdates
startTime
integer
required

Inclusive lower bound on time, epoch milliseconds

endTime
integer

Inclusive upper bound on time, epoch milliseconds. Default: now

users
string[]

Optional: only the events involving at least one of these wallets (0x-prefixed, case-insensitive), up to 20,000

Maximum array length: 20000
types
string[]

Optional: only these delta.type values, e.g. ["deposit", "withdraw"]

Maximum array length: 50
limit
integer
default:2000

Items per page

Required range: 1 <= x <= 5000
cursor
string

The X-Next-Cursor header of the previous page

Response

Ledger events in time order

time
integer
hash
string
users
string[]
delta
object